Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.rest
Class UserAccount

    java.lang.Object
      com.twitterapime.model.DefaultEntity
          com.twitterapime.rest.UserAccount

All Implemented Interfaces:
  Entity

    public final class UserAccount

extends DefaultEntity

This class defines an entity that represents a user's account.

Since:
  1.1
Version:
  1.2
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `UserAccountManager`

Field Summary

Fields inherited from class com.twitterapime.model.DefaultEntity
`data`

Constructor Summary
`UserAccount()` Create an instance of UserAccount class.
`UserAccount(java.util.Hashtable data)` Create an instance of UserAccount class.
`UserAccount(java.lang.String userNameOrID)` Create an instance of UserAccount class. This constructor is used when the UserAccount object is going to be used for Follow or Unfollow operations on `UserAccountManager`.

Method Summary
`Tweet` | `getLastTweet()` Get the last tweet posted by the user.

Methods inherited from class com.twitterapime.model.DefaultEntity
`equals, getArray, getDate, getInt, getLong, getObject, getString, hashCode, setData, setData, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAccount

    public UserAccount()

  Create an instance of UserAccount class.

### UserAccount

    public UserAccount(java.util.Hashtable data)

  Create an instance of UserAccount class.

  Parameters:
    `data` - The initial attributes/values.

### UserAccount

    public UserAccount(java.lang.String userNameOrID)

  Create an instance of UserAccount class.
  This constructor is used when the UserAccount object is going to be used for Follow or Unfollow operations on `UserAccountManager`.

  Parameters:
    `userNameOrID` - Username or ID.
  Throws:
    `java.lang.IllegalArgumentException` - If userNameOrID is empty/null.

Method Detail

### getLastTweet

    public Tweet getLastTweet()

  Get the last tweet posted by the user.

  Returns:
    Tweet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.